Skip to main content
PATCH
/
feedbacks
/
{feedbackId}
/
comments
Update feedback comment
curl --request PATCH \
  --url https://app.freyavoice.ai/api/v2/feedbacks/{feedbackId}/comments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "commentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "content": "<string>"
}
'
{
  "success": true,
  "data": {
    "message": "<string>",
    "result": {
      "success": true,
      "comment": {
        "id": "<string>",
        "feedbackId": "<string>",
        "authorId": "<string>",
        "content": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>",
        "authorName": "<string>"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

feedbackId
string<uuid>
required

Feedback ID

Body

application/json
workspaceId
string<uuid>
required

Workspace ID

commentId
string<uuid>
required

Comment ID

content
string
required

Updated comment content

Minimum string length: 1

Response

Comment updated

success
enum<boolean>
required
Available options:
true
data
object
required